# Sid Meier's Civilization 4
# Copyright Firaxis Games 2005
#
# CvRandomEventInterface.py
#
# These functions are App Entry Points from C++
# WARNING: These function names should not be changed
# WARNING: These functions can not be placed into a class
#
# No other modules should import this
#
import CvUtil
from CvPythonExtensions import *

gc = CyGlobalContext()
localText = CyTranslator()

### TEST HELP ###
def getSpecialistHelp(argsList):
	iSpecialist = argsList[0]
	return szHelp

def getReligionHelp(argsList):
	iReligion = argsList[0]
	return szHelp

def getCorporationHelp(argsList):
	iCorporation = argsList[0]
	return szHelp
	
def getCivicHelp(argsList):
	iCivic = argsList[0]
	return szHelp	

def getBuildingHelp(argsList):
	iBuilding = argsList[0]
	return szHelp
	
def getCivilizationHelp(argsList):
	iCivilization = argsList[0]
	return szHelp
	
def getLeaderHelp(argsList):
	iLeader = argsList[0]
	return szHelp
	
def getTraitHelp(argsList):
	iTrait = argsList[0]
	return szHelp
	
def getTechHelp(argsList):
	iTech = argsList[0]
	return szHelp
	
def getPromotionHelp(argsList):
	iPromotion = argsList[0]
	return szHelp
	
def getUnitHelp(argsList):
	iUnit = argsList[0]
	return szHelp
	
def buildingDoTurn(argsList):
	pCity = argsList[0]
	return
	
def corporationDoTurn(argsList):
	pCity = argsList[0]
	return

def religionCityDoTurn(argsList):
	pCity = argsList[0]
	return

def religionDoTurn(argsList):
	iPlayer = argsList[0]
	iStateReligion = argsList[1]
	return

def civicDoTurn(argsList):
	iPlayer = argsList[0]
	return

def civilizationDoTurn(argsList):
	iPlayer = argsList[0]
	return
	
def leaderDoTurn(argsList):
	iPlayer = argsList[0]
	return
	
def traitDoTurn(argsList):
	iPlayer = argsList[0]
	return
	
def projectDoTurn(argsList):
	iTeam = argsList[0]
	return

def bonusCallback(argsList):
	pCity = argsList[0]
	iBonus = argsList[1]
	iChange = argsList[2]
	return
	
def religionCityCallback(argsList):
	pCity = argsList[0]
	iReligion = argsList[1]
	iChange = argsList[2]
	return
	
def corporationCallback(argsList):
	pCity = argsList[0]
	iCorporation = argsList[1]
	iChange = argsList[2]
	return

def buildingCallback(argsList):
	pCity = argsList[0]
	iBuilding = argsList[1]
	iChange = argsList[2]
	return	

def specialistCallback(argsList):
	pCity = argsList[0]
	iSpecialist = argsList[1]
	iChange = argsList[2]
	return
	
def religionCallback(argsList):
	iPlayer = argsList[0]
	iReligion = argsList[1]
	iChange = argsList[2]
	return
	
def civicCallback(argsList):
	iPlayer = argsList[0]
	iCivic = argsList[1]
	iChange = argsList[2]
	return	
	
def projectCallback(argsList):
	iTeam = argsList[0]
	iProject = argsList[1]
	iChange = argsList[2]
	return

def techCallback(argsList):
	iTeam = argsList[0]
	iTech = argsList[1]
	iChange = argsList[2]
	return
	
def promotionCallback(argsList):
	pUnit = argsList[0]
	iPromotion = argsList[1]
	iChange = argsList[2]
	return

def unitCallback(argsList):
	pUnit = argsList[0]
	iUnit = argsList[1]
	return
	
def civilizationCallback(argsList):
	iPlayer = argsList[0]
	iCivilization = argsList[1]
	return
	
def leaderCallback(argsList):
	iPlayer = argsList[0]
	iLeader = argsList[1]
	return
	
def traitCallback(argsList):
	iPlayer = argsList[0]
	iTrait = argsList[1]
	return
	
def voteCallback(argsList):
	iVote = argsList[0]
	iChange = argsList[1]
	return
	
def goodyCallback(argsList):
	iPlayer = argsList[0]
	iGoody = argsList[1]
	return
	
def goodyCanDo(argsList):
	iPlayer = argsList[0]
	iUnitID = argsList[1]
	iGoody = argsList[2]
	
	player = gc.getPlayer(iPlayer)
	
	unit = player.getUnit(iUnitID)
	return
	
def canDoTestAction(argsList):
	pUnit = argsList[0]
	iActionButton = argsList[1]
	return 0

